// ==========================================================================
// Typography / Wysiwyg
// ==========================================================================

.t-wysiwyg {
  p,
  ul,
  ol,
  blockquote {
    margin-bottom: 1.5 * 1em;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin: 1em 0 0.5em;
  }

  ul,
  ol {
    list-style-position: inside;
  }

  ul {
    counter-reset: item-ul;
    list-style-type: none;
  }

  ul li {
    display: block;
  }

  ul li:before {
    content: '- ';
    counter-increment: item-ol;
    @apply text-black font-bold;
  }

  ol {
    counter-reset: item-ol;
    list-style-type: none;
  }

  ol li {
    display: block;
  }

  ol li:before {
    content: counter(item-ol) '- ';
    counter-increment: item-ol;
    @apply text-black font-bold;
  }

  b,
  strong {
    @apply font-bold;
  }

  > *:first-child {
    @apply mt-0;
  }

  > *:last-child {
    @apply mb-0;
  }

  blockquote {
    box-shadow: inset 0.25rem 0 0 0 theme('colors.red');
    @apply text-base leading-6 pl-6;
  }
}
